import User from "@/pages/TaskManage/models/user";

export interface PropsType{
  userList: UserType[],
  dispatch: (args:{type:string, payload: object})=>{}
}

export interface MandateChildType {
  Content: string;
  CreateTime: string;
  ExtendId: number;
  Id: number;
  MandateClass: number;
  MandateId: number;
  ProjectId: number;
  Status: number;
  Title: string;
}

export interface WorkOrderType {
  ActualDoneTime: string;
  CreateTime: string;
  Detail: string;
  Id: number;
  Note: string;
  PlanDoneTime: string;
  RecordType: number;
  Responsible: number;
  Status: number;
}

export interface MandateDetailType {
  Id: number;
  ProjectId: number;
  MandateType: number;
  MandateClass: number;
  ResponsiblePeople: number;
  Detail: string;
  MandateChild: MandateChildType[];
  Records: WorkOrderType[];
  Summary: string;
  CreateTime: string;
  Status: number;
  Note: string;
  OperationLog: string;
  OperationPeople: number;
  ExtendId: number;
}

export interface UserType {
  CName: string;
  ID: number;
  RoleID: string;
  RoleName: string;
  UserName: string;
}
